Skip to main content
GET
Retrieve the login history for current user

Authorizations

JSESSIONID
string
cookie
required

Query Parameters

expand
object

Set of entities to be expanded. If an entity is specified, then that entity is expanded to include all of its properties and attributes in the response. Currently, this parameter only supports 'runtime' as a possible value. If 'runtime' is not set in this parameter, then the runtime will appear as 'runtime: {runtime ID number}' in the response.

offset
integer<int32>
default:0

The initial position to search from

size
integer<int32>
default:20

The maximum number of results to return

Response

OK

deviceIP
string

The device IP value from the device performing login.

Example:

"127.0.0.1"

relyingPartyId
string

The services requiring login.

Example:

"music"

relyingPartyProtocol
enum<string>

The Relying Party Protocol

Available options:
OPENID_CONNECT,
SAML,
REST
Example:

"REST"

requestedHost
string

The original Host client used to perform login.

Example:

"host1"

runtime
Runtime · object

The data model that contains the possible runtime properties. Some properties come on a ULM entity by default. Service providers can create and add their own additional properties in order to extend the ULM platform.

timestamp
number<int64>

The login timestamp, expressed in UNIX Epoch time

Example:

1651180416000